Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605170 - Type-punning warning
Type-punning warning
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libieee1284 (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
BaseOS QE - Apps
:
Depends On:
Blocks: 593740 605076
  Show dependency treegraph
 
Reported: 2010-06-17 06:57 EDT by Tim Waugh
Modified: 2010-11-10 16:03 EST (History)
2 users (show)

See Also:
Fixed In Version: libieee1284-0.2.11-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:03:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2010-06-17 06:57:07 EDT
Description of problem:
The initialisation code of the libieee1284 python module gives this warning:

src/ieee1284module.c:635: warning: dereferencing type-punned pointer will break strict-aliasing rules

Version-Release number of selected component (if applicable):
libieee1284-0.2.11-8.1.el6.x86_64
Comment 1 RHEL Product and Program Management 2010-06-17 07:18:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Miroslav Vadkerti 2010-07-19 09:38:10 EDT
Warning is gone, see 
http://rhel6rpmdiff.lab.eng.brq.redhat.com/run.php?runid=9171

VERIFIED as fixed in libieee1284-0.2.11-9.el6
Comment 4 releng-rhel@redhat.com 2010-11-10 16:03:27 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.